Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This question already has an answer here:

I've been reading through some posts on how to install Python 2.5.4 in Ubuntu but I can not manage to find a solution to my problem. The version of Ubuntu I have is the 11.10 and the one of Python I intend to install is 2.5.4. It must be that one and not any of the updates since I am following a course which uses specifically 2.5.4. I have already tried executing in the terminal commands proposed in other posts but I always get a mistake.

I'd be really thankful I some could explain detailed and concisely how I can do it.

As said, thank you in advance,

Dionisio.

share|improve this question

marked as duplicate by AgentCool, Kevin Bowen, andrewsomething, Radu Rădeanu, Eric Carvalho Aug 5 '13 at 10:50

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

    
@Mitch is that PPA available for Ubuntu 11.10 ? –  AgentCool Aug 4 '13 at 14:12
    
@Jai you mean the one from the second answer? Yes, but I'm referring to Rinzwind's answer. –  Mitch Aug 4 '13 at 14:13
    
Yeah I have seen that too. we can close this as duplicate. –  AgentCool Aug 4 '13 at 14:30
add comment

1 Answer 1

open your terminal and do these steps one by one.

wget http://www.python.org/ftp/python/2.5.4/Python-2.5.4.tar.bz2
tar -zxvf Python-2.5.4.tgz
 cd Python-2.5.4
./configure
make
sudo make install

that will install Python 2.5.4 in your Ubuntu.

hope that helps.

share|improve this answer
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.